Subject: [PATCH v2 0/3] arm64: kgdb: fix single stepping

From: [email-masked] (Greg KH)
Date: Fri, 23 Sep 2016 10:43:41 +0200

On Fri, Sep 23, 2016 at 05:32:58PM +0900, AKASHI Takahiro wrote:
> On Fri, Sep 23, 2016 at 10:16:18AM +0200, Greg KH wrote:
> > On Fri, Sep 23, 2016 at 04:33:24PM +0900, AKASHI Takahiro wrote:
> > > Kgdb support on arm64 was merged in v3.15, but from its first appearance,
> > > "signle step" has never worked well.
> > > 
> > > This patch fixes all the error cases I found so far.
> > > The original patch[1] was splitted into three pieces, ones for each case.
> > > patch#1, #2 should be applied to all the version, v3.15 and later.
> > > pathc#3 only for v3.16 and later.
> > 
> > As this is not a regression (i.e. it has never worked), why is this
> > something for stable releases?
> 
> Because, I think, that is a bug.
> The author seems to have believed that it worked.
> Please see:
>   commit 44679a4f
>   Author: Vijaya Kumar K <[email-masked]>
>   Date:   Tue Jan 28 11:20:19 2014 +0000
> 
>       arm64: KGDB: Add step debugging support

Yes, but again, it didn't work, so this would be a new feature.  One
that obviously people aren't using in the stable kernels, otherwise they
would have noticed in the past 2 years about it being broken :)

Please read Documentation/stable_kernel_rules.txt for the requirements
of a stable kernel patch.  I don't think this series meets those rules.

thanks,

greg k-h